import { displayNumber } from '../../util/helpers.js';

export class DisplayValue {
  constructor(name, box) {
    this.value = undefined;
    this.name = name;
    this.box = box;
    this.nameBox = this.box.addBox(`${this.name}-name`).addClass('name');
    this.valueBox = this.box.addBox(`${this.name}-value`).addClass('value');
    this.nameBox.setInnerHTML(this.name);
  }

  render() {
    this.valueBox.setInnerHTML(typeof this.value === 'number' ? displayNumber(this.value, 6) : this.value);
  }

  set(value) {
    this.value = value;
    this.render();
  }

  get() {
    return this.value;
  }

  getName() {
    return this.name;
  }
}
